Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1103626 - (CVE-2014-3153) CVE-2014-3153 kernel: futex: pi futexes requeue issue
CVE-2014-3153 kernel: futex: pi futexes requeue issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140604,repo...
: Security
Depends On: 1104516 1104517 1104518 1104519 1104520 1104522 1104523 1105609 1111462
Blocks: 1103628
  Show dependency treegraph
 
Reported: 2014-06-02 04:43 EDT by Petr Matousek
Modified: 2018-02-12 14:23 EST (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's futex subsystem handled the requeuing of certain Priority Inheritance (PI) futexes. A local, unprivileged user could use this flaw to escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-22 15:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0771 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-19 17:52:21 EDT
Red Hat Product Errata RHSA-2014:0786 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-06-24 15:58:32 EDT
Red Hat Product Errata RHSA-2014:0800 normal SHIPPED_LIVE Important: kernel security update 2014-06-26 17:07:32 EDT
Red Hat Product Errata RHSA-2014:0900 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-07-17 15:32:34 EDT
Red Hat Product Errata RHSA-2014:0913 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 18:00:11 EDT

  None (edit)
Description Petr Matousek 2014-06-02 04:43:09 EDT
A flaw was found in the way pi to pi futex requeueing was handled.

A local unprivileged user can use this flaw to increase their privileges on the system.
Comment 9 Petr Matousek 2014-06-04 15:57:09 EDT
Acknowledgements:

Red Hat would like to thank Kees Cook of Google for reporting this issue. Google acknowledges Pinkie Pie as the original reporter.
Comment 10 Petr Matousek 2014-06-05 12:28:07 EDT
Statement:

This issue did not affect the versions of the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue requires local system access to be exploited. We are currently not aware of any working exploit for Red Hat Enterprise Linux 6 or Red Hat Enterprise MRG 2.
Comment 12 Petr Matousek 2014-06-06 10:03:48 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1105609]
Comment 13 Fedora Update System 2014-06-11 12:30:52 EDT
kernel-3.14.6-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-06-16 19:29:55 EDT
kernel-3.14.7-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2014-06-19 13:54:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0771 https://rhn.redhat.com/errata/RHSA-2014-0771.html
Comment 16 errata-xmlrpc 2014-06-24 12:04:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html
Comment 17 errata-xmlrpc 2014-06-26 13:08:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:0800 https://rhn.redhat.com/errata/RHSA-2014-0800.html
Comment 18 Martin Prpič 2014-07-16 04:15:13 EDT
IssueDescription:

A flaw was found in the way the Linux kernel's futex subsystem handled the requeuing of certain Priority Inheritance (PI) futexes. A local, unprivileged user could use this flaw to escalate their privileges on the system.
Comment 19 errata-xmlrpc 2014-07-17 11:33:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0900 https://rhn.redhat.com/errata/RHSA-2014-0900.html
Comment 20 errata-xmlrpc 2014-07-22 14:04:27 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Note You need to log in before you can comment on or make changes to this bug.